ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-12224) Ambari should not configure hbase.regionserver.global.memstore.upperLimit in HDP-2.3
Date Sat, 04 Jul 2015 11:31:06 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-12224?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14613709#comment-14613709
] 

Hudson commented on AMBARI-12224:
---------------------------------

SUCCESS: Integrated in Ambari-branch-2.1 #165 (See [https://builds.apache.org/job/Ambari-branch-2.1/165/])
AMBARI-12224. Ambari should not configure hbase.regionserver.global.memstore.upperLimit in
HDP-2.3 (mpapyrovskiy via dlysnichenko) (dlysnichenko: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=0aae22bb918ba4493aa786f0f20a4cb8f004d406)
* ambari-server/src/main/resources/stacks/HDPWIN/2.3/services/HBASE/themes/theme.json
* ambari-server/src/main/resources/stacks/HDP/2.3/services/HBASE/metainfo.xml
* ambari-server/src/main/resources/stacks/HDP/2.3/services/HBASE/configuration/hbase-site.xml
* ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.3.xml
* ambari-server/src/main/java/org/apache/ambari/server/serveraction/upgrades/HBaseConfigCalculation.java
* ambari-server/src/main/resources/stacks/HDPWIN/2.3/services/HBASE/metainfo.xml
* ambari-server/src/main/resources/stacks/HDPWIN/2.2/services/HBASE/themes/theme.json
* ambari-server/src/main/resources/stacks/HDP/2.2/services/HBASE/themes/theme.json
* ambari-server/src/main/resources/stacks/HDP/2.3/services/HBASE/themes/theme.json
* ambari-server/src/main/resources/stacks/HDPWIN/2.3/services/HBASE/configuration/hbase-site.xml


> Ambari should not configure hbase.regionserver.global.memstore.upperLimit in HDP-2.3
> ------------------------------------------------------------------------------------
>
>                 Key: AMBARI-12224
>                 URL: https://issues.apache.org/jira/browse/AMBARI-12224
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.1.0
>            Reporter: Myroslav Papirkovskyy
>            Assignee: Myroslav Papirkovskyy
>            Priority: Critical
>             Fix For: 2.1.0
>
>
> HBase has deprecated {{hbase.regionserver.global.memstore.upperLimit}} and {{hbase.regionserver.global.memstore.lowerLimit}}
for HDP-2.3 in favor of {{hbase.regionserver.global.memstore.size}} and {{hbase.regionserver.global.memstore.size.lower.limit}}.

> The slider called "% of RegionServer Allocated to Write Buffers" sets {{hbase.regionserver.global.memstore.size}},
while {{hbase.regionserver.global.memstore.upperLimit}} is in the advanced configuration section.
This leaves two bugs: 
>  - In HDP-2.2, the slider has no affect since HBase basically ignores the parameter.
>  - In HDP-2.3 the value set by the slider also has no affect since the deprecated values
set take precedence. 
> One solution is to get rid of {{hbase.regionserver.global.memstore.upperLimit}} and {{hbase.regionserver.global.memstore.lowerLimit}}
in advanced settings in Ambari, and make the slider configuration to use {{hbase.regionserver.global.memstore.upperLimit}}
in HDP-2.2 and {{hbase.regionserver.global.memstore.size}} in HDP-2.3. Rolling upgrade can
convert these settings. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message